Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365281 - system logs flooded by systemd communication with httpd
Summary: system logs flooded by systemd communication with httpd
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 19:26 UTC by Tomasz Kłoczko
Modified: 2017-03-05 15:34 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 04:48:56 UTC


Attachments (Terms of Use)

Description Tomasz Kłoczko 2016-08-08 19:26:32 UTC
Description of problem:
After enable httpd service I see constantly flooded system logs by apache and systemd communications.

Typical sequence of log entries:

[27466.063034] systemd-journald[589]: Sent WATCHDOG=1 notification.
[27466.063093] systemd-logind[801]: Got message type=signal sender=:1.1 destination=n/a object=/org/freedesktop/systemd1/unit/httpd_2eservice interface=org.freedesktop.DBus.Properties member=PropertiesChanged cookie=11278 reply_cookie=0 error=n/a
[27476.072069] systemd-logind[801]: Got message type=signal sender=:1.1 destination=n/a object=/org/freedesktop/systemd1/unit/httpd_2eservice interface=org.freedesktop.DBus.Properties member=PropertiesChanged cookie=11279 reply_cookie=0 error=n/a
[27476.072253] systemd-logind[801]: Got message type=signal sender=:1.1 destination=n/a object=/org/freedesktop/systemd1/unit/httpd_2eservice interface=org.freedesktop.DBus.Properties member=PropertiesChanged cookie=11280 reply_cookie=0 error=n/a
[27486.081557] systemd-logind[801]: Got message type=signal sender=:1.1 destination=n/a object=/org/freedesktop/systemd1/unit/httpd_2eservice interface=org.freedesktop.DBus.Properties member=PropertiesChanged cookie=11281 reply_cookie=0 error=n/a
[27486.081610] systemd-logind[801]: Got message type=signal sender=:1.1 destination=n/a object=/org/freedesktop/systemd1/unit/httpd_2eservice interface=org.freedesktop.DBus.Properties member=PropertiesChanged cookie=11282 reply_cookie=0 error=n/a
[27496.090561] systemd-logind[801]: Got message type=signal sender=:1.1 destination=n/a object=/org/freedesktop/systemd1/unit/httpd_2eservice interface=org.freedesktop.DBus.Properties member=PropertiesChanged cookie=11283 reply_cookie=0 error=n/a
[27496.090670] systemd-logind[801]: Got message type=signal sender=:1.1 destination=n/a object=/org/freedesktop/systemd1/unit/httpd_2eservice interface=org.freedesktop.DBus.Properties member=PropertiesChanged cookie=11284 reply_cookie=0 error=n/a
[27506.097702] systemd-logind[801]: Got message type=signal sender=:1.1 destination=n/a object=/org/freedesktop/systemd1/unit/httpd_2eservice interface=org.freedesktop.DBus.Properties member=PropertiesChanged cookie=11285 reply_cookie=0 error=n/a
[27506.097765] systemd-logind[801]: Got message type=signal sender=:1.1 destination=n/a object=/org/freedesktop/systemd1/unit/httpd_2eservice interface=org.freedesktop.DBus.Properties member=PropertiesChanged cookie=11286 reply_cookie=0 error=n/a
[27516.105365] systemd-logind[801]: Got message type=signal sender=:1.1 destination=n/a object=/org/freedesktop/systemd1/unit/httpd_2eservice interface=org.freedesktop.DBus.Properties member=PropertiesChanged cookie=11287 reply_cookie=0 error=n/a
[27516.105520] systemd-logind[801]: Got message type=signal sender=:1.1 destination=n/a object=/org/freedesktop/systemd1/unit/httpd_2eservice interface=org.freedesktop.DBus.Properties member=PropertiesChanged cookie=11288 reply_cookie=0 error=n/a


Version-Release number of selected component (if applicable):
rpm -q httpd
httpd-2.4.23-4.fc25.x86_64


How reproducible:
Start apache httpd and observe logs or "dmesg" output

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-08-27 04:48:56 UTC
Those are debug messages, enabled by setting the environment variable SYSTEMD_LOG_LEVEL=debug, or the debug and systemd.log_level=debug options on the kernel command line. Simply lower the logging level to disable them.

Comment 2 udo 2017-03-05 15:34:56 UTC
Please consider simply delivering an OS with sensible default settings.


Note You need to log in before you can comment on or make changes to this bug.